# Suite numérique et leurs convergences

Une **Suite** est une collection de nombres **Infinie** et **Ordonée** de nombres réels.
    - **Infinie**: Ne s'arrete pas
    - **Ordonée**: La place des nombres dans la suite est importante

Nous cherchons à savoir quelle est la valeur de l'élément situé à une position donnée

## Exemples

- 0,1,2,3,4,5,6,...
    - \\(\forall n \in \mathbb{N}, X_n = n\\)
- 0,1,4,9,16,25,...
    - \\(\forall n \in \mathbb{N}, X_n = n^2\\)
- 4,4,4,4,4,4,4,...
    - \\(\forall n \in \mathbb{N}, X_n = 4\\)
- 1, \\(\frac{1}{2}\\), \\(\frac{1}{3}\\), \\(\frac{1}{4}\\), \\(\frac{1}{5}\\), ...
    - \\(\forall n \in \mathbb{N}, X_n = \frac{1}{n}\\)
- 1,-1,1,-1,1,-1, ...
    - \\(\forall n \in \mathbb{N}, X_n = (-1)^n \\)
    - \\(\forall n \in \mathbb{N}, X_n = \begin{cases} 1 &\implies n \in 2\mathbb{N}\\\\ -1 &\implies n \in 2\mathbb{N}+1 \end{cases} \\)

## Fonctions

On parle alors de fonction pour définir une suite:

\\[
    n \mapsto x_n
\\]
où n est l'indice (\\(\in\mathbb{N}\\)) et \\(x_n\\) est l'élément (\\(\in\mathbb{R}\\))

### Rappel

Une [fonction](../logique/fonctions.md) est une relation qui à chaques éléments de A fait corespondre **au plus, un** élément de B
\\[
    f: \mathbb{R} \to \mathbb{R}: x\mapsto y = x^2
\\]

**Atention, A n'est pas forcément le domaine** mais \\(f \subseteq A\\) Toujours

### Le domaine d'une suite

Pour trouver le domaine d'une suite, Nous pouvons chercher ses conditions d'éxistences.
Si ces conditions permettent une suite **infinie** On cherche la valeur ordonnée de départ et le domaine est noté comme suit

- Une **suite** est une fonction tel que
    - \\(I \to \mathbb{R}: n \mapsto x_n \text{ où } I = \mathbb{N}^{\geq k} \text{ où } k\in \mathbb{N}\\)

## Notation

le terme générale d'une suite est noté
\\[
    \Large{(x_n)_{n \in \mathbb{N}^{\geq k}} \subseteq \mathbb{R}}
\\]

Il n'est pas toujours possible de trouver une formule pour une suite (i.e.: suite de nombre premiers)

On peut aussi définir une suite par récurence.
\\[
    (x_n) _{n \in \mathbb{N}} \quad \begin{cases} &x_0=3 \\\\ &\forall n \in\mathbb{N}\quad x _{n+1}= x_n + 4  \end{cases}
\\]

